package com.ruoyi.quartz.task;

import com.ruoyi.framework.recovery.domain.WxCredit;
import com.ruoyi.framework.recovery.mapper.WxCreditMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("creditTask")
@Slf4j
public class CreditTask {
    @Autowired
    private WxCreditMapper wxCreditMapper;

    public void credit(){
        log.info("开始清空用户积分");
        wxCreditMapper.updateWxCreditClean();
        log.info("清空完成");
    }
}
